Subject: Re: [PATCH v3] bugreport: reject positional arguments

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Oct 2023 11:17:26 +0900

Junio C Hamano <[email-masked]> writes:

> Phillip Wood <[email-masked]> writes:
>
>> ... it is determining that grep
>> failed in the first place that I find annoying. I've also found the
>> output from test_i18ngrep is helpful when debugging CI test failures.
>
> Thanks, I agree with you that it is very useful for debugging to
> have an explicit "I did not find what I expected to see".  On the
> other hand, the other side is not as severe a problem, I think.  If
> "grep" expects not to see an error message in the output but the
> output has the error we do not want to see, we will see the message
> in the "-v" output when we run test.

Everything I wrote above makes sense, but what I continued this
message with (below---omitted) is total opposite.  Let's discard and
maybe retry sometime later.